Bug 999532 - Incorrect description of java:comp namespace
Incorrect description of java:comp namespace
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ER7
: EAP 6.1.1
Assigned To: sgilda
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 09:47 EDT by Ondrej Chaloupka
Modified: 2014-08-14 11:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.12 Build Name: 11863, Migration Guide-6.1-4 Build Date: 15-08-2013 13:16:01 Topic ID: 4961-473785 [Specified]
Last Closed: 2013-09-16 16:20:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Chaloupka 2013-08-21 09:47:35 EDT
Title: Examples of JNDI Namespaces in Previous Releases and How They are Specified in JBoss EAP 6

"Namespace is scoped to the current component. Accessible for threads that are not Java EE 6, for example, threads created directly by your application."
I suppose that it's not much perfectly transfered text from https://docs.jboss.org/author/display/AS7/How+do+I+migrate+my+application+from+AS5+or+AS6+to+AS7 which seems to mean totally opposite thing than the text says:
This will not be accessible for non EE threads, e.g. Threads your application directly creates.
Comment 1 sgilda 2013-08-23 08:48:15 EDT
Good catch!

Modified the following:

Topic 4961 - " Examples of JNDI Namespaces in Previous Releases and How They are Specified in JBoss EAP 6', rev. 500568

Topic 19236 - 6.1.1 Migration Guide
Comment 2 Russell Dickenson 2013-08-26 23:48:37 EDT
The modified text is now available at [1] for validation. Ensure that you're checking revision 1.0-62 or later.

[1] http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Enterprise_Application_Platform/6.1.1/html-single/Migration_Guide/index.html#Modify_the_Application_to_Follow_the_New_JNDI_Namespace_Rules
Comment 3 Ondrej Chaloupka 2013-08-27 02:13:29 EDT
Checked. Thanks.

Note You need to log in before you can comment on or make changes to this bug.